Redmine - Feature #1981

display mercurial tags
2008-10-02 02:23 - Thomas Capricelli

Status: Closed Start date: 2008-10-02
Priority: Normal Due date:

Assignee: Toshi MARUYAMA % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version: 1.2.0

Resolution: Fixed

Description

I'm sure this one is easy. Mercurial tags are just a file (.hgtags) with a mapping: name -> md5sum/revision.

| would propose a patch but i dont know ruby nor rails.

Related issues:
Related to Redmine - Feature #4455: Mercurial overhaul Closed

Related to Redmine - Feature #7246: Handle "named branch" for mercurial Closed

2009-12-21
2011-01-07

Associated revisions

Revision 4634 - 2011-01-05 16:02 - Toshi MARUYAMA

scm: mercurial: update test repository for following issues and fix tests.

e copied file (#7064)
* branch, tag (#1981)

Revision 4866 - 2011-02-18 05:59 - Toshi MARUYAMA

scm: mercurial: entries unit lib test for tag (#1981).

Revision 4871 - 2011-02-18 08:14 - Toshi MARUYAMA

scm: mercurial: temporary disable tags and branches at model (#1981, #7246, #4455).
Until latest_changesets supports tags and branches.

Revision 4872 - 2011-02-18 08:14 - Toshi MARUYAMA

scm: mercurial: support tags at adapter (#1981).

Contributed by Yuya Nishihara.

Revision 4873 - 2011-02-18 08:15 - Toshi MARUYAMA

scm: mercurial: unit test for tags at adapter (#1981).

Revision 4989 - 2011-03-02 11:17 - Toshi MARUYAMA
scm: mercurial: wrap revison, tag and branch with URL encoding for entries (#4455, #1981, #7246).

Revision 5112 - 2011-03-14 03:23 - Toshi MARUYAMA

scm: mercurial: wrap revision of cat and annotate with URL encoding (#1981, #7246).

Revision 5113 - 2011-03-14 05:54 - Toshi MARUYAMA

scm: mercurial: prepare test of wrapping revision of cat and annotate with URL encoding (#1981, #7246).

Revision 5114 - 2011-03-14 05:55 - Toshi MARUYAMA

scm: mercurial: add test of non ASCII tag in unit adapter test (#1981).

Revision 5117 - 2011-03-14 09:15 - Toshi MARUYAMA

scm: mercurial: prepare tests of named branch and tag in unit model test (#1981, #7246).
Revision 5118 - 2011-03-14 09:15 - Toshi MARUYAMA

scm: mercurial: prepare tests of named branch and tag in functional test (#1981, #7246).

Revision 5123 - 2011-03-14 11:36 - Toshi MARUYAMA

scm: mercurial: latest changesets improvement and supporting tag (#1981).

Revision 5126 - 2011-03-14 12:15 - Toshi MARUYAMA

scm: mercurial: add latest changesets supporting tag test in unit model test (#1981).

Revision 5129 - 2011-03-14 14:41 - Toshi MARUYAMA

scm: mercurial: branches and tags are enable in model (#1981, #7246).

Revision 5131 - 2011-03-14 14:42 - Toshi MARUYAMA

scm: mercurial: add tag test in functional test (#1981).

History

#1 - 2009-02-26 04:33 - Thomas Capricelli

No return on this one ? is this request kind of.. weird ? or is it here already ?

#2 - 2010-03-11 11:38 - Toshi MARUYAMA
- % Done changed from 0 to 90

Please see #4455 - Mercurial overhaul.

#3 - 2011-01-05 15:12 - Toshi MARUYAMA
- Assignee set to Toshi MARUYAMA

#4 - 2011-01-07 14:09 - Toshi MARUYAMA
- % Done changed from 90 to 0

#5 - 2011-03-15 06:14 - Toshi MARUYAMA
- Status changed from New to Closed
- Target version set to 1.2.0

- Resolution set to Fixed

| finished implementing until r5131.
https://www.redmine.org/issues/4455
https://www.redmine.org/projects/redmine/repository/svn/revisions/5131
http://www.tcpdf.org

